Skip to main content
GET
/
policies
/
usage-limits
List Usage Limits Policies
curl --request GET \
  --url https://api.portkey.ai/v1/policies/usage-limits \
  --header 'x-portkey-api-key: <api-key>'
import requests

url = "https://api.portkey.ai/v1/policies/usage-limits"

headers = {"x-portkey-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-portkey-api-key': '<api-key>'}};

fetch('https://api.portkey.ai/v1/policies/usage-limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "list",
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "last_updated_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "conditions": [
        {
          "key": "workspace_id",
          "value": "workspace-123"
        }
      ],
      "group_by": [
        {
          "key": "api_key"
        }
      ],
      "credit_limit": 123,
      "alert_threshold": 123,
      "periodic_reset_days": 183,
      "next_usage_reset_at": "2023-11-07T05:31:56Z",
      "last_reset_at": "2023-11-07T05:31:56Z",
      "value_key_usage_map": {}
    }
  ],
  "total": 123
}

Authorizations

x-portkey-api-key
string
header
required

Query Parameters

workspace_id
string

Workspace ID or slug

status
enum<string>
default:active

Filter by status

Available options:
active,
archived
type
enum<string>

Filter by policy type

Available options:
cost,
tokens
page_size
integer

Number of items per page

Required range: x >= 0
current_page
integer

Current page number

Required range: x >= 0

Response

List of usage limits policies

object
string
Example:

"list"

data
object[]
total
integer

Total number of policies

Last modified on November 18, 2025